Subject: [pim] Few questions on RFC 5496

From: Bharat Joshi <[email-masked]>
Date: Mon, 17 Jun 2013 05:32:52 +0000

Hi All,

      I just finished reading RFC 5496 to understand how RPF vector Join attributes are defined and used. I have some questions on this RFC.

      I think we need an Errata to take care of some of these comments.

Regards,
Bharat

• In section 3, typo in sentence:

" Without the PIM extensions specified in this document, the core router cannot determine where the send the Join, so the tree cannot be constructed"

should be

" Without the PIM extensions specified in this document, the core router cannot determine where to send the Join, so the tree cannot be constructed"

• In section 3.1, in following sentences:

"Use of the attribute is, however, not restricted to the construction of source trees.  It may also be used to construct a shared tree.  In this case, the RPF Vector TLV contains the IP address of a Rendezvous Point (RP)."

Should not the RPF vector be using the source address of the Edge router that should be used to reach the RP address for a given group instead of RP address? Or am I missing something here?

• In section 3.2, in following sentence:

"The procedures in this document do not define a way for BSR messages to be forwarded across a core in which the BSP IP address is not routable."

What is BSP IP address? Should it be Elected BSR IP address?

• In section 3.3.1, in following sentence, a small typo:

Core 2, and subsequent core routers, will forwarding the Join along the Vector (i.e., towards Edge 1) instead of trying to forward it towards S.

should be

Core 2, and subsequent core routers, will be forwarding the Join along the Vector (i.e., towards Edge 1) instead of trying to forward it towards S.

• RFC 5384 defined the second bit as 'E' 'End of Attributes' while RFC 5496 defines it as 'S' 'Bottom of Stack'. Why is this different in the two RFCs?

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***

---

From: Stig Venaas <[email-masked]>
Date: Mon, 17 Jun 2013 12:00:14 -0700

>        I think we need an Errata to take care of some of these comments.

Thanks, looks like good comments. Please file an errata.

Stig

> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim
>

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 18 Jun 2013 03:44:34 +0000

Stig,

       Thanks for your response. Will file Erratas for these.

Thanks,
Bharat
________________________________________
From: Stig Venaas [[email-masked]]
Sent: Tuesday, June 18, 2013 12:30 AM
To: Bharat Joshi
Cc: [email-masked]
Subject: Re: [pim] Few questions on RFC 5496

Stig